image: marvinmenzerath/latex

# This doesn't work as there are no credentials available
# https://stackoverflow.com/questions/30040643/clone-a-repo-with-submodules-override-credentials
# https://stackoverflow.com/questions/58019082/how-do-i-pass-credentials-to-pull-a-submodule-in-a-gitlab-ci-script
# variables:
#   GIT_SUBMODULE_STRATEGY: recursive

stages:
  - build

build:
  stage: build
  before_script:
    - apt-get update && apt-get install -y git-all
    - git config --global credential.helper store
    - git config --global credential.useHttpPath true
    - echo -e "machine git.overleaf.com\nlogin ${CI_OVERLEAF_USER}\npassword ${CI_OVERLEAF_PASSWORD}" > ~/.netrc
    - git submodule update --init --recursive  --remote tex/
  script:
    - cd tex
    - bash build.sh
  artifacts:
    paths:
      - tex/supplementary.pdf
      - tex/main.pdf
